import { Component, Prop, Vue } from 'vue-property-decorator';
import { Measure, MeasureConfig, Measurement, MeasurementMeta } from '@/models';
import { measurementStore } from '@/store';

@Component
export class MeasureSummary extends Vue {
  @Prop() private measure!: Measure<MeasureConfig>;

  private chartOptions = {
    chart: { sparkline: { enabled: true } },
    grid: { padding: { top: 20 }},
    stroke: { curve: 'smooth' }
  };

  private chartData = [
    { name: 'Test', data: [1, 10, 4, 6, 2] }
  ];

  private measurements: Array<Measurement<MeasurementMeta>> = [];

  private mounted() {
    this.measurements = 
  }

}

export default MeasureSummary;
