import { Component, Vue } from 'vue-property-decorator';
import { apiTokenStore, userStore } from '@/store';

@Component({})
export default class UserAccount extends Vue {

  private get user() { return userStore.user; }

  private get apiTokens() { return apiTokenStore.apiTokens; }

  private created() {
    if (apiTokenStore.apiTokens.length === 0) {
      apiTokenStore.fetchAllApiTokens();
    }
  }
}
