import './class-component-hooks';

import Vue from 'vue';
import App from './App.vue';
import { store } from './store';
import router from './router';
import { FontAwesomeIcon } from '@fortawesome/vue-fontawesome';

import SmartTable from 'vuejs-smart-table';
import ApexChart from 'vue-apexcharts';

import './registerServiceWorker';

Vue.component('fa-icon', FontAwesomeIcon);
Vue.component('apex-chart', ApexChart);
Vue.use(SmartTable);

new Vue({
  router,
  store,
  render: (h) => h(App)
}).$mount('#app');
