import { Component, Vue } from 'vue-property-decorator';
import MeasureSummary from '@/components/MeasureSummary.vue';
import Test from '@/components/Test.vue';
import { measureStore } from '@/store';

@Component({
  components: { MeasureSummary }
})
export class Measures extends Vue {
  private get measures() { return measureStore.measures; }
}

export default Measures;
